Skip to main content
GET
/
api
/
v1
/
skills
/
{id}
/
versions
Skill Versions
curl --request GET \
  --url https://api.example.com/api/v1/skills/{id}/versions
{
  "versions": [
    {
      "id": "<string>",
      "version": "<string>",
      "status": "<string>",
      "changelog": {},
      "manifestSnapshot": {},
      "createdAt": "<string>"
    }
  ]
}
Retrieve the version history for a published skill, including manifest snapshots and changelogs.

Authentication

Requires a Bearer token. See Authentication.

Path Parameters

id
string
required
The skill UUID.

Request Examples

curl https://hitheo.ai/api/v1/skills/skill_abc123/versions \
  -H "Authorization: Bearer $THEO_API_KEY"

Response

versions
object[]
Array of version records.

Endpoint

GET /api/v1/skills/{id}/versions Requires authentication via Bearer token. See Authentication.